# Enum Class CookiesWithoutEquals

java.lang.Object
java.lang.Enum<CookiesWithoutEquals>
org.apache.tomcat.util.http.CookiesWithoutEquals

All Implemented Interfaces:
  `Serializable, Comparable<CookiesWithoutEquals>, Constable`

public enum CookiesWithoutEquals extends Enum<CookiesWithoutEquals>
Enum for handling cookies that do not contain an equals sign.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IGNORE`
Ignore cookies without an equals sign.
`NAME`
Treat the value as the cookie name.

## Method Summary

Modifier and Type
Method
Description
`static CookiesWithoutEquals`
`fromString(String from)`
Convert a string to the corresponding `CookiesWithoutEquals` value.
`String`
`getValue()`
Get the string value of this enum constant.
`static CookiesWithoutEquals`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CookiesWithoutEquals[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IGNORE

public static final CookiesWithoutEquals IGNORE
Ignore cookies without an equals sign.

### NAME

public static final CookiesWithoutEquals NAME
Treat the value as the cookie name.

## Method Details

### values

public static CookiesWithoutEquals[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CookiesWithoutEquals valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()
Get the string value of this enum constant.

Returns:
  The string value

### fromString

public static CookiesWithoutEquals fromString(String from)
Convert a string to the corresponding `CookiesWithoutEquals` value.

Parameters:
  `from` - The string to convert
Returns:
  The corresponding enum value